// 校验是否完善人才必填信息
export const checkPersonBaseInfo = (baseInfo) => {
  const info = baseInfo ? baseInfo : localStorage.getItem('baseInfo') ? JSON.parse(localStorage.getItem('baseInfo')) : {}
  if (!info || !Object.keys(info).length) return false
  if (info.type && Number(info.type) === 1) return true // 0是求职者，1是学生
  const keyArr = [ // 必填项目
    'name',
    'sex',
    'phone',
    'email',
    'birthday',
    'jobStatus',
    'expType',
    'eduType'
  ]
  const necessaryInfoReady = keyArr.every(e => info[e] && info[e] !== 0)
  return necessaryInfoReady
  // return true // return true关闭弹窗
}